Index: moko-message-dialog.c
===================================================================
--- moko-message-dialog.c	(revision 1718)
+++ moko-message-dialog.c	(working copy)
@@ -201,13 +201,16 @@
 }
 
 void
-moko_message_dialog_set_message (MokoMessageDialog *dialog, const gchar *new_message)
+moko_message_dialog_set_message (MokoMessageDialog *dialog, const gchar *message_format, ...)
 {
   MokoMessageDialogPrivate* priv = MESSAGE_DIALOG_PRIVATE(dialog);
+  va_list args;
 
   g_free (priv->message);
 
-  priv->message = g_strdup (new_message);
+  va_start (args, message_format);
+  priv->message = g_strdup_vprintf (message_format, args);
+  va_end (args);
 
   gtk_label_set (GTK_LABEL (priv->label), priv->message);
 }
Index: moko-message-dialog.h
===================================================================
--- moko-message-dialog.h	(revision 1718)
+++ moko-message-dialog.h	(working copy)
@@ -58,7 +58,9 @@
 GType moko_message_dialog_get_type (void);
 
 GtkWidget* moko_message_dialog_new (void);
-void moko_message_dialog_set_message (MokoMessageDialog *dialog, const gchar *message);
+void moko_message_dialog_set_message (MokoMessageDialog *dialog,
+    const gchar *message_format,
+    ...)G_GNUC_PRINTF (2, 3);
 void moko_message_dialog_set_image_from_stock (MokoMessageDialog *dialog,
     const gchar *stock_id);
 
